package cn.reghao.tnb.user.api.iface;

import cn.reghao.tnb.user.api.dto.UserCard;
import cn.reghao.tnb.user.api.dto.UserMessageDto;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-14 10:52:59
 */
public interface UserService {
    UserCard getUserAvatar(long userId);
    List<Long> getFollowingIds(long userId);
    boolean isVip(long userId);
    void sendUserMessage(UserMessageDto userMessageDto);
    int getRecommendMode(long userId);
    void setRecommendMode(long userId, boolean mode);
}
